# Uses of Class
org.eclipse.ecf.remoteservice.provider.AdapterConfig

Packages that use AdapterConfig
Package
Description
org.eclipse.ecf.remoteservice.provider

## Uses of AdapterConfig in org.eclipse.ecf.remoteservice.provider

Methods in org.eclipse.ecf.remoteservice.provider that return AdapterConfig
Modifier and Type
Method
Description
`AdapterConfig[]`
IRemoteServiceDistributionProvider.`getAdapterConfigs()`
Return any AdapterConfigs to register with the IAdapterManager
`AdapterConfig[]`
RemoteServiceDistributionProvider.`getAdapterConfigs()`
Methods in org.eclipse.ecf.remoteservice.provider with parameters of type AdapterConfig
Modifier and Type
Method
Description
`protected RemoteServiceDistributionProvider`
RemoteServiceDistributionProvider.`addAdapterConfig(AdapterConfig adapterConfig)`
`RemoteServiceDistributionProvider.Builder`
RemoteServiceDistributionProvider.Builder.`addAdapterConfig(AdapterConfig adapterConfig)`
`RemoteServiceDistributionProvider.Builder`
RemoteServiceDistributionProvider.Builder.`setAdapterConfig(AdapterConfig adapterConfig)`
`protected RemoteServiceDistributionProvider`
RemoteServiceDistributionProvider.`setAdapterConfig(AdapterConfig adapterConfig)`